<?php
namespace App\Form\Input;

class Select_SupplierCategory extends \Engine\Form\Input\Select
{

	/**
	 * {@inheritDoc}
	 * @see \Engine\Form\Input\Select::determinePossibleValues()
	 */
	protected function determinePossibleValues()
	{
		$CFG = \Engine\Loader_Cfg::getInstance()->getGlobal();
		$_LANG = \App\Loader_Lang::getInstance()->getAll();

		$possibleValues = [];
		foreach ($CFG['suppliers']['possibleCategories'] as $category) {
			$possibleValues[$category] = $_LANG['generalData']['suppliers']['possibleCategories'][$category];
		}

		return $possibleValues;
	}
}